diff --git a/python/mozbuild/mozbuild/test/frontend/test_sandbox.py b/python/mozbuild/mozbuild/test/frontend/test_sandbox.py
index d24c5d9ea6..4236e84750 100644
--- a/python/mozbuild/mozbuild/test/frontend/test_sandbox.py
+++ b/python/mozbuild/mozbuild/test/frontend/test_sandbox.py
@@ -2,7 +2,6 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import unicode_literals
 
 import os
 import shutil
@@ -30,7 +29,7 @@ from mozbuild.frontend.context import (
 )
 
 from mozbuild.test.common import MockConfig
-from types import StringTypes
+StringTypes = (str,)
 
 import mozpack.path as mozpath
 
@@ -52,7 +51,7 @@ class TestSandbox(unittest.TestCase):
 
         self.assertNotIn('foo', context)
         self.assertEqual(context.main_path, mozpath.abspath('foo.py'))
-        self.assertEqual(context.all_paths, set([mozpath.abspath('foo.py')]))
+        self.assertEqual(context.all_paths, {mozpath.abspath('foo.py')})
 
     def test_exec_compile_error(self):
         sandbox = self.sandbox()
@@ -137,10 +136,10 @@ class TestedSandbox(MozbuildSandbox):
         return SourcePath(self._context, path)
 
     def exec_file(self, path):
-        super(TestedSandbox, self).exec_file(self.normalize_path(path))
+        super().exec_file(self.normalize_path(path))
 
     def exec_source(self, source, path=''):
-        super(TestedSandbox, self).exec_source(source,
+        super().exec_source(source,
             self.normalize_path(path) if path else '')
 
 
@@ -345,7 +344,7 @@ class TestMozbuildSandbox(unittest.TestCase):
         sandbox = MozbuildSandbox(Context(VARIABLES, config))
 
         self.assertEqual(sandbox['CONFIG']['BAD_UTF8'],
-            u'\ufffd\ufffd\ufffd\ufffd:')
+            '\ufffd\ufffd\ufffd\ufffd:')
 
     def test_invalid_exports_set_base(self):
         sandbox = self.sandbox()
@@ -525,7 +524,7 @@ def Template():
             source = 'a = foo(1, 2)'
             sandbox.exec_source(source, 'foo.mozbuild')
 
-            self.assertEquals(sandbox['a'], (Foo, int))
+            self.assertEqual(sandbox['a'], (Foo, int))
         finally:
             del FUNCTIONS['foo']
 
diff --git a/python/mozbuild/mozbuild/test/test_base.py b/python/mozbuild/mozbuild/test/test_base.py
index 87f0db85bf..1696cfbf4b 100644
--- a/python/mozbuild/mozbuild/test/test_base.py
+++ b/python/mozbuild/mozbuild/test/test_base.py
@@ -2,8 +2,8 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import unicode_literals
 
+from __future__ import print_function
 import json
 import os
 import shutil
@@ -91,9 +91,9 @@ class TestMozbuildObject(unittest.TestCase):
         d = os.path.realpath(tempfile.mkdtemp())
         try:
             mozconfig = os.path.join(d, 'mozconfig')
-            with open(mozconfig, 'wt') as fh:
+            with open(mozconfig, 'w') as fh:
                 fh.write('mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/foo/@CONFIG_GUESS@')
-            print('Wrote mozconfig %s' % mozconfig)
+            print(('Wrote mozconfig %s' % mozconfig))
 
             topobjdir = os.path.join(d, 'foo', guess)
             os.makedirs(topobjdir)
@@ -105,7 +105,7 @@ class TestMozbuildObject(unittest.TestCase):
                 'config.guess',), guess_path)
 
             mozinfo = os.path.join(topobjdir, 'mozinfo.json')
-            with open(mozinfo, 'wt') as fh:
+            with open(mozinfo, 'w') as fh:
                 json.dump(dict(
                     topsrcdir=d,
                     mozconfig=mozconfig,
@@ -127,14 +127,14 @@ class TestMozbuildObject(unittest.TestCase):
         d = os.path.realpath(tempfile.mkdtemp())
         try:
             mozconfig = os.path.join(d, 'mozconfig')
-            with open(mozconfig, 'wt') as fh:
+            with open(mozconfig, 'w') as fh:
                 fh.write('mk_add_options MOZ_OBJDIR=./objdir')
 
             topobjdir = mozpath.join(d, 'objdir')
             os.mkdir(topobjdir)
 
             mozinfo = os.path.join(topobjdir, 'mozinfo.json')
-            with open(mozinfo, 'wt') as fh:
+            with open(mozinfo, 'w') as fh:
                 json.dump(dict(
                     topsrcdir=d,
                     mozconfig=mozconfig,
@@ -166,11 +166,11 @@ class TestMozbuildObject(unittest.TestCase):
             os.symlink(topobjdir_real, topobjdir_link)
 
             mozconfig = os.path.join(d, 'mozconfig')
-            with open(mozconfig, 'wt') as fh:
+            with open(mozconfig, 'w') as fh:
                 fh.write('mk_add_options MOZ_OBJDIR=%s' % topobjdir_link)
 
             mozinfo = os.path.join(topobjdir_real, 'mozinfo.json')
-            with open(mozinfo, 'wt') as fh:
+            with open(mozinfo, 'w') as fh:
                 json.dump(dict(
                     topsrcdir=d,
                     mozconfig=mozconfig,
@@ -201,14 +201,14 @@ class TestMozbuildObject(unittest.TestCase):
             os.makedirs(topsrcdir)
 
             mozinfo = os.path.join(topobjdir, 'mozinfo.json')
-            with open(mozinfo, 'wt') as fh:
+            with open(mozinfo, 'w') as fh:
                 json.dump(dict(
                     topsrcdir=topsrcdir,
                 ), fh)
 
             os.chdir(topobjdir)
 
-            class MockMachContext(object):
+            class MockMachContext:
                 pass
 
             context = MockMachContext()
@@ -235,7 +235,7 @@ class TestMozbuildObject(unittest.TestCase):
             # The easiest way to do this is to create a mozinfo.json with data
             # that will never happen.
             mozinfo = os.path.join(d, 'mozinfo.json')
-            with open(mozinfo, 'wt') as fh:
+            with open(mozinfo, 'w') as fh:
                 json.dump({'topsrcdir': d}, fh)
 
             os.chdir(d)
@@ -262,11 +262,11 @@ class TestMozbuildObject(unittest.TestCase):
             os.makedirs(topsrcdir)
 
             mozconfig = os.path.join(d, 'mozconfig')
-            with open(mozconfig, 'wt') as fh:
+            with open(mozconfig, 'w') as fh:
                 fh.write('mk_add_options MOZ_OBJDIR=%s' % real_topobjdir)
 
             mozinfo = os.path.join(topobjdir, 'mozinfo.json')
-            with open(mozinfo, 'wt') as fh:
+            with open(mozinfo, 'w') as fh:
                 json.dump(dict(
                     topsrcdir=topsrcdir,
                     mozconfig=mozconfig,
@@ -274,7 +274,7 @@ class TestMozbuildObject(unittest.TestCase):
 
             os.chdir(topobjdir)
 
-            class MockMachContext(object):
+            class MockMachContext:
                 pass
 
             context = MockMachContext()
diff --git a/python/mozbuild/mozbuild/test/test_containers.py b/python/mozbuild/mozbuild/test/test_containers.py
index 3d46f86a90..116eb9008c 100644
--- a/python/mozbuild/mozbuild/test/test_containers.py
+++ b/python/mozbuild/mozbuild/test/test_containers.py
@@ -152,7 +152,7 @@ class TestOrderedDefaultDict(unittest.TestCase):
 
         self.assertEqual(test['foo'], 1)
 
-        self.assertEqual(test.keys(), ['foo', 'bar' ])
+        self.assertEqual(list(test.keys()), ['foo', 'bar' ])
 
     def test_defaults(self):
         test = OrderedDefaultDict(bool, {'foo': 1 })
@@ -161,7 +161,7 @@ class TestOrderedDefaultDict(unittest.TestCase):
 
         self.assertEqual(test['qux'], False)
 
-        self.assertEqual(test.keys(), ['foo', 'qux' ])
+        self.assertEqual(list(test.keys()), ['foo', 'qux' ])
 
 
 class TestKeyedDefaultDict(unittest.TestCase):
diff --git a/python/mozbuild/mozbuild/test/test_dotproperties.py b/python/mozbuild/mozbuild/test/test_dotproperties.py
index a03f85b0d1..353ca4c551 100644
--- a/python/mozbuild/mozbuild/test/test_dotproperties.py
+++ b/python/mozbuild/mozbuild/test/test_dotproperties.py
@@ -1,7 +1,3 @@
-# -*- coding: utf-8 -*-
-
-from __future__ import unicode_literals
-
 import os
 import unittest
 
diff --git a/python/mozbuild/mozbuild/test/test_expression.py b/python/mozbuild/mozbuild/test/test_expression.py
index fb3c45894c..97b1191a99 100644
--- a/python/mozbuild/mozbuild/test/test_expression.py
+++ b/python/mozbuild/mozbuild/test/test_expression.py
@@ -25,8 +25,8 @@ class TestContext(unittest.TestCase):
 
   def test_in(self):
     """test 'var in context' to not fall for fallback"""
-    self.assert_('FAIL' in self.c)
-    self.assert_('PASS' not in self.c)
+    self.assertTrue('FAIL' in self.c)
+    self.assertTrue('PASS' not in self.c)
 
 class TestExpression(unittest.TestCase):
   """
@@ -48,16 +48,16 @@ class TestExpression(unittest.TestCase):
 
   def test_not(self):
     """Test for the ! operator"""
-    self.assert_(Expression('!0').evaluate(self.c))
-    self.assert_(not Expression('!1').evaluate(self.c))
+    self.assertTrue(Expression('!0').evaluate(self.c))
+    self.assertTrue(not Expression('!1').evaluate(self.c))
 
   def test_equals(self):
     """ Test for the == operator"""
-    self.assert_(Expression('FAIL == PASS').evaluate(self.c))
+    self.assertTrue(Expression('FAIL == PASS').evaluate(self.c))
 
   def test_notequals(self):
     """ Test for the != operator"""
-    self.assert_(Expression('FAIL != 1').evaluate(self.c))
+    self.assertTrue(Expression('FAIL != 1').evaluate(self.c))
 
   def test_logical_and(self):
     """ Test for the && operator"""
diff --git a/python/mozbuild/mozbuild/test/test_jarmaker.py b/python/mozbuild/mozbuild/test/test_jarmaker.py
index a4d4156a72..87f9ba9981 100644
--- a/python/mozbuild/mozbuild/test/test_jarmaker.py
+++ b/python/mozbuild/mozbuild/test/test_jarmaker.py
@@ -117,12 +117,12 @@ class _TreeDiff(dircmp):
     """Helper to report rich results on difference between two directories.
     """
     def _fillDiff(self, dc, rv, basepath="{0}"):
-        rv['right_only'] += map(lambda l: basepath.format(l), dc.right_only)
-        rv['left_only'] += map(lambda l: basepath.format(l), dc.left_only)
-        rv['diff_files'] += map(lambda l: basepath.format(l), dc.diff_files)
-        rv['funny'] += map(lambda l: basepath.format(l), dc.common_funny)
-        rv['funny'] += map(lambda l: basepath.format(l), dc.funny_files)
-        for subdir, _dc in dc.subdirs.iteritems():
+        rv['right_only'] += [basepath.format(l) for l in dc.right_only]
+        rv['left_only'] += [basepath.format(l) for l in dc.left_only]
+        rv['diff_files'] += [basepath.format(l) for l in dc.diff_files]
+        rv['funny'] += [basepath.format(l) for l in dc.common_funny]
+        rv['funny'] += [basepath.format(l) for l in dc.funny_files]
+        for subdir, _dc in dc.subdirs.items():
             self._fillDiff(_dc, rv, basepath.format(subdir + "/{0}"))
     def allResults(self, left, right):
         rv = {'right_only':[], 'left_only':[],
@@ -130,15 +130,15 @@ class _TreeDiff(dircmp):
         self._fillDiff(self, rv)
         chunks = []
         if rv['right_only']:
-            chunks.append('{0} only in {1}'.format(', '.join(rv['right_only']),
+            chunks.append('{} only in {}'.format(', '.join(rv['right_only']),
                                                    right))
         if rv['left_only']:
-            chunks.append('{0} only in {1}'.format(', '.join(rv['left_only']),
+            chunks.append('{} only in {}'.format(', '.join(rv['left_only']),
                                                    left))
         if rv['diff_files']:
-            chunks.append('{0} differ'.format(', '.join(rv['diff_files'])))
+            chunks.append('{} differ'.format(', '.join(rv['diff_files'])))
         if rv['funny']:
-            chunks.append("{0} don't compare".format(', '.join(rv['funny'])))
+            chunks.append("{} don't compare".format(', '.join(rv['funny'])))
         return '; '.join(chunks)
 
 class TestJarMaker(unittest.TestCase):
@@ -159,7 +159,7 @@ class TestJarMaker(unittest.TestCase):
 
     def tearDown(self):
         if self.debug:
-            print(self.tmpdir)
+            print((self.tmpdir))
         elif sys.platform != "win32":
             # can't clean up on windows
             rmtree(self.tmpdir)
@@ -243,7 +243,7 @@ class TestJarMaker(unittest.TestCase):
         srcbar = os.path.join(self.srcdir, 'bar')
         destfoo = os.path.join(self.builddir, 'chrome', 'test', 'dir', 'foo')
         self.assertTrue(is_symlink_to(destfoo, srcbar),
-                        "{0} is not a symlink to {1}".format(destfoo, srcbar))
+                        "{} is not a symlink to {}".format(destfoo, srcbar))
 
     def _create_wildcard_setup(self):
         # create src content
@@ -295,12 +295,12 @@ class TestJarMaker(unittest.TestCase):
             ('hoge', 'foo', '2'): ('qux', 'foo', '2'),
             ('hoge', 'baz'): ('qux', 'baz'),
         }
-        for dest, src in expected_symlinks.iteritems():
+        for dest, src in expected_symlinks.items():
             srcpath = os.path.join(self.srcdir, *src)
             destpath = os.path.join(self.builddir, 'chrome', 'test', 'dir',
                                     *dest)
             self.assertTrue(is_symlink_to(destpath, srcpath),
-                            "{0} is not a symlink to {1}".format(destpath,
+                            "{} is not a symlink to {}".format(destpath,
                                                                  srcpath))
 
 
@@ -317,7 +317,7 @@ class Test_relativesrcdir(unittest.TestCase):
     def test_en_US(self):
         jm = self.jm
         jm.makeJar(self.fake_empty_file, '/NO_OUTPUT_REQUIRED')
-        self.assertEquals(jm.localedirs,
+        self.assertEqual(jm.localedirs,
                           [
                             os.path.join(os.path.abspath('/TOPSOURCEDIR'),
                                          'browser/locales', 'en-US')
@@ -326,13 +326,13 @@ class Test_relativesrcdir(unittest.TestCase):
         jm = self.jm
         jm.l10nbase = '/L10N_BASE'
         jm.makeJar(self.fake_empty_file, '/NO_OUTPUT_REQUIRED')
-        self.assertEquals(jm.localedirs, [os.path.join('/L10N_BASE', 'browser')])
+        self.assertEqual(jm.localedirs, [os.path.join('/L10N_BASE', 'browser')])
     def test_l10n_merge(self):
         jm = self.jm
         jm.l10nbase = '/L10N_BASE'
         jm.l10nmerge = '/L10N_MERGE'
         jm.makeJar(self.fake_empty_file, '/NO_OUTPUT_REQUIRED')
-        self.assertEquals(jm.localedirs,
+        self.assertEqual(jm.localedirs,
                           [os.path.join('/L10N_MERGE', 'browser'),
                            os.path.join('/L10N_BASE', 'browser'),
                            os.path.join(os.path.abspath('/TOPSOURCEDIR'),
@@ -346,7 +346,7 @@ relativesrcdir dom/locales:
 ''')
         jarcontents.name = 'override.mn'
         jm.makeJar(jarcontents, '/NO_OUTPUT_REQUIRED')
-        self.assertEquals(jm.localedirs,
+        self.assertEqual(jm.localedirs,
                           [
                             os.path.join(os.path.abspath('/TOPSOURCEDIR'),
                                          'dom/locales', 'en-US')
@@ -360,7 +360,7 @@ relativesrcdir dom/locales:
 ''')
         jarcontents.name = 'override.mn'
         jm.makeJar(jarcontents, '/NO_OUTPUT_REQUIRED')
-        self.assertEquals(jm.localedirs, [os.path.join('/L10N_BASE', 'dom')])
+        self.assertEqual(jm.localedirs, [os.path.join('/L10N_BASE', 'dom')])
 
 
 if __name__ == '__main__':
diff --git a/python/mozbuild/mozbuild/test/test_line_endings.py b/python/mozbuild/mozbuild/test/test_line_endings.py
index 565abc8c93..2429c96e1c 100644
--- a/python/mozbuild/mozbuild/test/test_line_endings.py
+++ b/python/mozbuild/mozbuild/test/test_line_endings.py
@@ -30,17 +30,17 @@ class TestLineEndings(unittest.TestCase):
   def testMac(self):
     self.createFile(['\x0D']*3)
     self.pp.do_include(self.tempnam)
-    self.assertEquals(self.pp.out.getvalue(), 'a\nb\nc\n')
+    self.assertEqual(self.pp.out.getvalue(), 'a\nb\nc\n')
 
   def testUnix(self):
     self.createFile(['\x0A']*3)
     self.pp.do_include(self.tempnam)
-    self.assertEquals(self.pp.out.getvalue(), 'a\nb\nc\n')
+    self.assertEqual(self.pp.out.getvalue(), 'a\nb\nc\n')
 
   def testWindows(self):
     self.createFile(['\x0D\x0A']*3)
     self.pp.do_include(self.tempnam)
-    self.assertEquals(self.pp.out.getvalue(), 'a\nb\nc\n')
+    self.assertEqual(self.pp.out.getvalue(), 'a\nb\nc\n')
 
 if __name__ == '__main__':
   mozunit.main()
diff --git a/python/mozbuild/mozbuild/test/test_mozconfig.py b/python/mozbuild/mozbuild/test/test_mozconfig.py
index 0cd1259127..b04d51cf20 100644
--- a/python/mozbuild/mozbuild/test/test_mozconfig.py
+++ b/python/mozbuild/mozbuild/test/test_mozconfig.py
@@ -2,7 +2,6 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import unicode_literals
 
 import os
 import unittest
@@ -480,9 +479,9 @@ class TestMozconfigLoader(unittest.TestCase):
 
             self.assertTrue(e.exception.message.startswith(
                 'Evaluation of your mozconfig exited with an error'))
-            self.assertEquals(e.exception.path,
+            self.assertEqual(e.exception.path,
                 mozconfig.name.replace(os.sep, '/'))
-            self.assertEquals(e.exception.output, ['hello world'])
+            self.assertEqual(e.exception.output, ['hello world'])
 
 
 if __name__ == '__main__':
diff --git a/python/mozbuild/mozbuild/test/test_mozinfo.py b/python/mozbuild/mozbuild/test/test_mozinfo.py
index 6d0909b2d2..35d38d772d 100755
--- a/python/mozbuild/mozbuild/test/test_mozinfo.py
+++ b/python/mozbuild/mozbuild/test/test_mozinfo.py
@@ -22,7 +22,7 @@ from mozbuild.mozinfo import (
 from mozfile.mozfile import NamedTemporaryFile
 
 
-class Base(object):
+class Base:
     def _config(self, substs={}):
         d = os.path.dirname(__file__)
         return ConfigEnvironment(d, d, substs=substs)
diff --git a/python/mozbuild/mozbuild/test/test_pythonutil.py b/python/mozbuild/mozbuild/test/test_pythonutil.py
index 87399b3f5a..c572514c6a 100644
--- a/python/mozbuild/mozbuild/test/test_pythonutil.py
+++ b/python/mozbuild/mozbuild/test/test_pythonutil.py
@@ -12,7 +12,7 @@ class TestIterModules(unittest.TestCase):
     def test_iter_modules_in_path(self):
         mozbuild_path = os.path.normcase(os.path.dirname(os.path.dirname(__file__)))
         paths = list(iter_modules_in_path(mozbuild_path))
-        self.assertEquals(sorted(paths), [
+        self.assertEqual(sorted(paths), [
             os.path.join(os.path.abspath(mozbuild_path), '__init__.py'),
             os.path.join(os.path.abspath(mozbuild_path), 'pythonutil.py'),
             os.path.join(os.path.abspath(mozbuild_path), 'test', 'test_pythonutil.py'),
diff --git a/python/mozbuild/mozbuild/test/test_util.py b/python/mozbuild/mozbuild/test/test_util.py
index 6c3b39b1e8..533e6fdc75 100644
--- a/python/mozbuild/mozbuild/test/test_util.py
+++ b/python/mozbuild/mozbuild/test/test_util.py
@@ -1,4 +1,3 @@
-# coding: utf-8
 # This Source Code Form is subject to the terms of the Mozilla Public
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
@@ -110,7 +109,7 @@ class TestFileAvoidWrite(unittest.TestCase):
             '''
             def __call__(self, name, mode):
                 if 'w' in mode:
-                    raise Exception, 'Unexpected open with write mode'
+                    raise Exception('Unexpected open with write mode')
                 return MockedOpen.__call__(self, name, mode)
 
         with MyMockedOpen({'file': 'content'}):
@@ -432,7 +431,7 @@ class TestListWithAction(unittest.TestCase):
         self.assertEqual(len(l), 0)
         original = ['a', 'b', 'c']
         l = ListWithAction(['a', 'b', 'c'], action=self.action)
-        expected = map(self.action, original)
+        expected = list(map(self.action, original))
         self.assertSameList(expected, l)
 
         with self.assertRaises(ValueError):
@@ -445,7 +444,7 @@ class TestListWithAction(unittest.TestCase):
         l = ListWithAction(action=self.action)
         original = ['a', 'b']
         l.extend(original)
-        expected = map(self.action, original)
+        expected = list(map(self.action, original))
         self.assertSameList(expected, l)
 
         with self.assertRaises(ValueError):
@@ -455,7 +454,7 @@ class TestListWithAction(unittest.TestCase):
         l = ListWithAction(action=self.action)
         original = ['a', 'b']
         l[:] = original
-        expected = map(self.action, original)
+        expected = list(map(self.action, original))
         self.assertSameList(expected, l)
 
         with self.assertRaises(ValueError):
@@ -465,7 +464,7 @@ class TestListWithAction(unittest.TestCase):
         l = ListWithAction(action=self.action)
         original = ['a', 'b']
         l2 = l + original
-        expected = map(self.action, original)
+        expected = list(map(self.action, original))
         self.assertSameList(expected, l2)
 
         with self.assertRaises(ValueError):
@@ -475,7 +474,7 @@ class TestListWithAction(unittest.TestCase):
         l = ListWithAction(action=self.action)
         original = ['a', 'b']
         l += original
-        expected = map(self.action, original)
+        expected = list(map(self.action, original))
         self.assertSameList(expected, l)
 
         with self.assertRaises(ValueError):
@@ -524,7 +523,7 @@ class TestStrictOrderingOnAppendListWithFlagsFactory(unittest.TestCase):
 
     def test_strict_ordering_on_append_list_with_flags_factory_extend(self):
         FooList = StrictOrderingOnAppendListWithFlagsFactory({
-            'foo': bool, 'bar': unicode
+            'foo': bool, 'bar': str
         })
         foo = FooList(['a', 'b', 'c'])
         foo['a'].foo = True
@@ -532,7 +531,7 @@ class TestStrictOrderingOnAppendListWithFlagsFactory(unittest.TestCase):
 
         # Don't allow extending lists with different flag definitions.
         BarList = StrictOrderingOnAppendListWithFlagsFactory({
-            'foo': unicode, 'baz': bool
+            'foo': str, 'baz': bool
         })
         bar = BarList(['d', 'e', 'f'])
         bar['d'].foo = 'foo'
@@ -752,9 +751,9 @@ class TestTypedList(unittest.TestCase):
 
 class TypedTestStrictOrderingOnAppendList(unittest.TestCase):
     def test_init(self):
-        class Unicode(unicode):
+        class Unicode(str):
             def __init__(self, other):
-                if not isinstance(other, unicode):
+                if not isinstance(other, str):
                     raise ValueError()
                 super(Unicode, self).__init__(other)
 
@@ -776,7 +775,7 @@ class TypedTestStrictOrderingOnAppendList(unittest.TestCase):
 
 class TestTypedNamedTuple(unittest.TestCase):
     def test_simple(self):
-        FooBar = TypedNamedTuple('FooBar', [('foo', unicode), ('bar', int)])
+        FooBar = TypedNamedTuple('FooBar', [('foo', str), ('bar', int)])
 
         t = FooBar(foo='foo', bar=2)
         self.assertEquals(type(t), FooBar)
diff --git a/python/mozbuild/mozbuild/testing.py b/python/mozbuild/mozbuild/testing.py
index 46b5abd4fd..91f7714c76 100644
--- a/python/mozbuild/mozbuild/testing.py
+++ b/python/mozbuild/mozbuild/testing.py
@@ -2,9 +2,8 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import absolute_import, unicode_literals
 
-import cPickle as pickle
+import pickle
 import os
 import sys
 
@@ -44,7 +43,7 @@ def rewrite_test_base(test, new_base, honor_install_to_subdir=False):
     return test
 
 
-class TestMetadata(object):
+class TestMetadata:
     """Holds information about tests.
 
     This class provides an API to query tests active in the build
@@ -166,8 +165,7 @@ class TestMetadata(object):
         for p in sorted(candidate_paths):
             tests = self._tests_by_path[p]
 
-            for test in fltr(tests):
-                yield test
+            yield from fltr(tests)
 
 
 class TestResolver(MozbuildObject):
@@ -307,7 +305,7 @@ def all_test_flavors():
             list(WEB_PLATFORM_TESTS_FLAVORS) +
             ['python'])
 
-class TestInstallInfo(object):
+class TestInstallInfo:
     def __init__(self):
         self.seen = set()
         self.pattern_installs = []
@@ -322,7 +320,7 @@ class TestInstallInfo(object):
         self.deferred_installs |= other.deferred_installs
         return self
 
-class SupportFilesConverter(object):
+class SupportFilesConverter:
     """Processes a "support-files" entry from a test object, either from
     a parsed object from a test manifests or its representation in
     moz.build and returns the installs to perform for this test object.
@@ -526,7 +524,7 @@ def read_wpt_manifest(context, paths):
         paths_file = os.path.join(context.config.topsrcdir, "testing",
                                   "web-platform", "tests", "tools", "localpaths.py")
         _globals = {"__file__": paths_file}
-        execfile(paths_file, _globals)
+        exec(compile(open(paths_file, "rb").read(), paths_file, 'exec'), _globals)
         import manifest as wptmanifest
     finally:
         sys.path = old_path
